
# Something's not quite right with libtool....
%define __libtoolize :

%define glib2_base_version 1.3.12
%define glib2_extra_version .90-1
%define glib2_version %{glib2_base_version}%{glib2_extra_version}

Summary: Interfaces for accessibility support.
Name: atk
Version: 0.8.90
Release: 1
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gtk.org/pub/gtk/v1.3/atk-%{version}.tar.gz
Source2: fixed-ltmain.sh
URL: http://developer.gnome.org/projects/gap/
BuildRoot: %{_tmppath}/atk-%{PACKAGE_VERSION}-root
BuildPreReq: glib2-devel >= %{glib2_version}

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package devel
Summary: System for layout and rendering of internationalized text.
Group: Development/Libraries
Requires: atk = %{PACKAGE_VERSION}
Requires: glib2-devel >= %{glib2_version}

%description devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

%prep
%setup

%build

## ensure that --nodeps doesn't mess things up
if ! pkg-config --atleast-version=%{glib2_base_version} glib-2.0; then 
  echo "glib2-devel does not meet the build requirements"
  exit 1
fi

rm ltmain.sh && cp %{SOURCE2} ltmain.sh
%configure --disable-gtk-doc --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog
%{_prefix}/lib/libatk.so.*

%files devel
%defattr(-, root, root)
%{_prefix}/lib/libatk*.so
%{_prefix}/lib/libatk*.a
%{_prefix}/include/*
%{_prefix}/lib/pkgconfig/*

%changelog
* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new snap 0.8.90

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- rebuild with glib hacked to work on 64-bit

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- Version 0.7
- add explicit check for required glib2 version before we do the build,
  so we don't end up with bad RPMs on --nodeps builds

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild due to hosage on ia64 build system causing link to old glib

* Thu Oct 25 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.6

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- 0.5
- sync with Owen's version

* Wed Sep 19 2001 Havoc Pennington <hp@redhat.com>
- 0.4
- fix requires
- --enable-static
- put static libs back in file list

* Mon Sep 10 2001 Havoc Pennington <hp@redhat.com>
- update to CVS snapshot

* Wed Sep 05 2001 Havoc Pennington <hp@redhat.com>
- require specific pango version
- fix ltmain.sh to destroy all relinking BS

* Tue Sep  4 2001 root <root@dhcpd37.meridian.redhat.com>
- Version 0.2

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Configure with --disable-gtk-doc

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add post- and postun-sections running ldconfig

* Wed Jun 13 2001 Havoc Pennington <hp@redhat.com>
- 0.2

* Fri May  4 2001 Owen Taylor <otaylor@redhat.com>
- Initial version
